def linear(input: Tensor,
    weight: Tensor,
    bias: Optional[Tensor]=None) -> Tensor:
  return torch.linear(input, weight, bias)
def relu(input: Tensor,
    inplace: bool=False) -> Tensor:
  if inplace:
    result = torch.relu_(input)
  else:
    result = torch.relu(input)
  return result
def leaky_relu(input: Tensor,
    negative_slope: float=0.01,
    inplace: bool=False) -> Tensor:
  if inplace:
    result0 = torch.leaky_relu_(input, negative_slope)
    result = result0
  else:
    result1 = torch.leaky_relu(input, negative_slope)
    result = result1
  return result
def elu(input: Tensor,
    alpha: float=1.,
    inplace: bool=False) -> Tensor:
  if inplace:
    result = torch.elu_(input, alpha)
  else:
    result = torch.elu(input, alpha)
  return result
def softsign(input: Tensor) -> Tensor:
  _0 = torch.div(input, torch.add(torch.abs(input), 1))
  return _0
